Subject: [bug#60838] [PATCH v3 0/9] Add datasette and python-sqlite-utils.

From: Felix Gruber <[email-masked]>
Date: Sun, 26 Mar 2023 19:43:26 +0000

Hi Maxim,

Thank you for your review.
I've updated my patchset with your suggested changes. In particular,
I now fetch from Git to obtain the tests which were missing in the pypi
packages. I had to disable a few tests in python-asgi-lifespan and in
datasette because they were failing for no apparent reason.
I also had to update the python-pluggy dependency in the
python-pytest-7.1 package, because it was preventing datasette from
finding the newer python-pluggy version. I confirmed that all packages
that (transitively) depend on python-pytest-7.1 still successfully build
after that change.

Finally, I had to add two new packages python-trustme-next and
python-cogapp since they are used by datasettes tests.

Kind regards,
Felix

Felix Gruber (9):
  gnu: Add python-click-default-group-wheel.
  gnu: Add python-sqlite-fts4.
  gnu: Add python-sqlite-utils.
  gnu: Add python-asgi-lifespan.
  gnu: Add python-asgi-csrf.
  gnu: Add python-trustme-next.
  gnu: Add python-cogapp.
  gnu: python-pytest-7.1: Depend on python-pluggy-next.
  gnu: Add datasette.

 gnu/packages/check.scm         |   6 +-
 gnu/packages/databases.scm     | 158 +++++++++++++++++++++++++++++++++
 gnu/packages/python-crypto.scm |  15 ++++
 gnu/packages/python-web.scm    |  79 ++++++++++++++++-
 gnu/packages/python-xyz.scm    |  48 +++++++++-
 5 files changed, 303 insertions(+), 3 deletions(-)

-- 
2.39.2